[ 
https://issues.apache.org/jira/browse/FOP-2255?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13800648#comment-13800648
 ] 

Alban Seurat commented on FOP-2255:
-----------------------------------

Meanwhile , you can use this pom dependencies to prevent your project to failed 
building:

<dependency>
            <groupId>org.apache.xmlgraphics</groupId>
            <artifactId>fop</artifactId>
            <version>1.1</version>
            <exclusions>
                <exclusion>
                    <groupId>org.apache.avalon.framework</groupId>
                    <artifactId>avalon-framework-api</artifactId>
                </exclusion>
                <exclusion>
                    <groupId>org.apache.avalon.framework</groupId>
                    <artifactId>avalon-framework-impl</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
        <dependency>
            <groupId>avalon-framework</groupId>
            <artifactId>avalon-framework-api</artifactId>
            <version>4.2.0</version>
        </dependency>
        <dependency>
            <groupId>avalon-framework</groupId>
            <artifactId>avalon-framework-impl</artifactId>
            <version>4.2.0</version>
        </dependency>

> FOP 1.1's POM file in Maven Central is wrong
> --------------------------------------------
>
>                 Key: FOP-2255
>                 URL: https://issues.apache.org/jira/browse/FOP-2255
>             Project: Fop
>          Issue Type: Bug
>    Affects Versions: 1.1
>         Environment: Maven 3
>            Reporter: Markus Karg
>            Priority: Blocker
>
> When trying to use FOP 1.1 from Maven Central, this will fail due to the fact 
> that its POM file is wrong. It contains a reference to:
> <dependency>
>   <groupId>org.apache.avalon.framework</groupId>
>   <artifactId>avalon-framework-api</artifactId>
>   <version>4.2.0</version>
> </dependency>
> In fact, this JAR exists, but it is not stored in the Group 
> org.apache.avalon.framework but simple in the group avalaon-framework. As a 
> result, it is impossible to use FOP 1.1 from Maven Central! :-(
> I assume that the FOP Team uploaded this POM to Maven Central, so I ask you 
> to fix this POM ASAP. :-)



--
This message was sent by Atlassian JIRA
(v6.1#6144)

Reply via email to